:root {
  --color-primary: rgb(36, 103, 203);
  --color-secondary: #eef1ff;
  --color-background: #d4e7fd;
  --color-border: #000;
  --color-white: #ffffff;
}

body {
  font-family: Inter, sans-serif;
  padding: 30px;
  margin: 0;
}

.wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
  gap: 20%;
  height: 75vh;
}

.progress-container {
  position: relative;
  width: 200px;
  height: 200px;
}

.progress {
  width: 100%;
  height: 100%;
  transform: rotate(-90deg);
  transform-origin: center;
}

.progress-background {
  fill: none;
  stroke: var(--color-secondary);
  stroke-width: 10;
}

.progress-bar {
  fill: none;
  stroke: var(--color-primary);
  stroke-width: 10;
  stroke-dasharray: 283;
  /* 2 * π * r (примерно 2 * 3.14 * 45) */
  stroke-dashoffset: 283;
  /* Начальное значение для скрытия дуги */
  transition: stroke-dashoffset 0.5s linear;
}

@keyframes rotate {
  0% {
    transform: rotate(-90deg);
  }

  100% {
    transform: rotate(270deg);
  }
}

.animated {
  animation: rotate 5s linear infinite;
}

.hidden {
  display: none;
}

.controls {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.control {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

input[type="number"] {
  -webkit-appearance: none;
  outline: none;
  appearance: none;
  margin: 0;
}

#progress-value {
  height: 50px;
  width: 80px;
  border: solid 1px var(--color-border);
  border-radius: 50px;
  text-align: center;
  font-size: 28px;
}

.switcher {
  position: relative;
  display: inline-block;
  width: 80px;
  height: 50px;
  background-color: var(--color-background);
  border-radius: 50px;
}

.switcher input {
  opacity: 0;
  width: 0;
  height: 0;
  margin: 0;
}

.switcher_circle {
  cursor: pointer;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 50px;
  transition: 0s;
}

.switcher_circle:before {
  position: absolute;
  top: 4px;
  left: 4px;
  content: "";
  height: 42px;
  width: 42px;
  border-radius: 50%;
  background-color: var(--color-white);
  transition: 0.2s;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input:checked+.switcher_circle {
  background-color: var(--color-primary);
}

input:checked+.switcher_circle:before {
  transform: translateX(30px);
}

@media screen and (max-width: 600px) {
  .wrapper {
    flex-direction: column;
  }
}